Mandatory Upgrade – Version 2.0.0 Released


I recently released version 2.0.0 of gContactSync.  This is a mandatory upgrade for all users since Google is discontinuing the authentication method that previous versions used.

The first time you use version 2.0.0 or later you will have to reauthenticate each unique account you synchronize (once per e-mail address, not synchronized address book).  Unfortunately gContactSync cannot use your saved e-mail password from Thunderbird any more with OAuth2.

Features

  • Switches to OAuth2.  This is a more secure method of authentication and won’t require application-specific passwords for accounts using 2-step authentication.
  • Throttles requests that upload photos to Google.  This will prevent 503 errors when uploading several new photos in a short period of time, or photos appearing to not be synchronized.
  • Synchronization is now done in a worker thread to improve responsiveness while synchronizing.

,

  1. No comments yet.
(will not be published)